#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	Rijndael
Summary:	Crypt::Rijndael Perl module - Rijndael encryption algorithm
Summary(pl.UTF-8):	Moduł Perla Crypt::Rijndael - algorytm szyfrowania Rijndael
Name:		perl-Crypt-Rijndael
Version:	1.16
Release:	4
License:	LGPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	7dccb639178148d6113cf1fc83b02886
URL:		https://metacpan.org/dist/Crypt-Rijndael
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.94
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is Crypt::CBC compliant Rijndael cipher implementation.
Rijndael has just been selected as the Advanced Encryption Standard.

%description -l pl.UTF-8
Ten moduł jest zgodną z Crypt::CBC implementacją szyfru Rijndael.
Rijndael został niedawno wybrany jako standard zaawansowanego
szyfrowania (AES).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes NEWS README
%{perl_vendorarch}/Crypt/Rijndael.pm
%dir %{perl_vendorarch}/auto/Crypt/Rijndael
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Rijndael/Rijndael.so
%{_mandir}/man3/Crypt::Rijndael.3*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Rijndael.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 1f62646
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> f9d572b
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 5bc3a0e
- perl 5.36.0 rebuild

* Mon May 30 2022 Jakub Bogusz <qboosh@pld-linux.org> 2d990af
- updated to 1.16

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 66729f7
- rebuild with perl 5.34.0

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 8140a55
- updated to 1.15
- removed obsolete types patch

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 130e175
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2edeb6a
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> a0f1e7a
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Tue Aug 28 2018 Marcin Krol <hawk@tld-linux.org> 374f8f4
- updated to 1.13

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> c4e260a
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9510fdb
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 01f0084
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> c931ca6
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 887cef3
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8d72375
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 7750378
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3ccb0b5
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> ebd2a61
- updated to 1.11

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> efece2d
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

